import { SvelteComponentTyped } from "svelte";
export interface ProductJsonLdProps extends JsonLdProps {
    productName: string;
    images?: string[];
    description?: string;
    brand?: string;
    reviews?: Review[];
    aggregateRating?: AggregateRating;
    offers?: Offers | Offers[];
    aggregateOffer?: AggregateOffer;
    sku?: string;
    gtin8?: string;
    gtin13?: string;
    gtin14?: string;
    mpn?: string;
    color?: string;
    manufacturerName?: string;
    manufacturerLogo?: string;
    material?: string;
    slogan?: string;
    disambiguatingDescription?: string;
    productionDate?: string;
    purchaseDate?: string;
    releaseDate?: string;
    award?: string;
}
import type { JsonLdProps } from './jsonld.js';
import type { Review, AggregateRating, AggregateOffer, Offers } from '../types.js';
declare const __propDef: {
    props: {
        keyOverride?: ProductJsonLdProps['keyOverride'];
        productName: ProductJsonLdProps['productName'];
        images?: ProductJsonLdProps['images'];
        description?: ProductJsonLdProps['description'];
        brand?: ProductJsonLdProps['brand'];
        reviews?: ProductJsonLdProps['reviews'];
        aggregateRating?: ProductJsonLdProps['aggregateRating'];
        offers?: ProductJsonLdProps['offers'];
        aggregateOffer?: ProductJsonLdProps['aggregateOffer'];
        sku?: ProductJsonLdProps['sku'];
        gtin8?: ProductJsonLdProps['gtin8'];
        gtin13?: ProductJsonLdProps['gtin13'];
        gtin14?: ProductJsonLdProps['gtin14'];
        mpn?: ProductJsonLdProps['mpn'];
        color?: ProductJsonLdProps['color'];
        manufacturerName?: ProductJsonLdProps['manufacturerName'];
        manufacturerLogo?: ProductJsonLdProps['manufacturerLogo'];
        material?: ProductJsonLdProps['material'];
        slogan?: ProductJsonLdProps['slogan'];
        disambiguatingDescription?: ProductJsonLdProps['disambiguatingDescription'];
        productionDate?: ProductJsonLdProps['productionDate'];
        purchaseDate?: ProductJsonLdProps['purchaseDate'];
        releaseDate?: ProductJsonLdProps['releaseDate'];
        award?: ProductJsonLdProps['award'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ProductProps = typeof __propDef.props;
export type ProductEvents = typeof __propDef.events;
export type ProductSlots = typeof __propDef.slots;
export default class Product extends SvelteComponentTyped<ProductProps, ProductEvents, ProductSlots> {
}
export {};
